Bug 471373 - Review Request: rmanage - Remotely monitoring machines on network
Review Request: rmanage - Remotely monitoring machines on network
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 05:40 EST by Parag AN(पराग)
Modified: 2008-11-22 11:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-22 11:54:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag AN(पराग) 2008-11-13 05:40:06 EST
Spec URL: http://paragn.fedorapeople.org/rmanage/rmanage.spec
SRPM URL: http://paragn.fedorapeople.org/rmanage/rmanage-0.1.5-1.fc10.src.rpm
Description: This tool is used for monitoring the LAN for connected machines.
Comment 1 Fabian Affolter 2008-11-13 08:10:37 EST
Just some comment on your spec file...

- 'desktop-file-install --vendor="fedora" \' is obsolete for new packages.
   Check https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor

- You are mixing $RPM_BUILD_ROOT and %{buildroot} . That should not be done.
  https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

- There is a po directory in the source. The tool provides translation. But 
  BuildRequires: gettext, %find_lang %{name}, and %files -f %{name}.lang are missing.
  https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
Comment 2 Parag AN(पराग) 2008-11-13 08:31:45 EST
Thanks for looking into this package. I agree SPEC is not cleanly written and its submitted in a hurry. 
Here is updated SRPM.
Spec URL: http://paragn.fedorapeople.org/rmanage/rmanage.spec
SRPM URL: http://paragn.fedorapeople.org/rmanage/rmanage-0.1.5-2.fc9.src.rpm

Note: As no translations are provided by this package I have not used guidelines for Handling locale files.
Comment 3 Fabian Affolter 2008-11-18 16:45:05 EST
(In reply to comment #2) 
> Note: As no translations are provided by this package I have not used
> guidelines for Handling locale files.

That's ok

I'm unable to rebuild your package. The issue is the name of the .desktop file. 

File not found: /home/fab/rpmbuild/BUILDROOT/rmanage-0.1.5-2.fc9.i386/usr/share/applications/fedora-rmanage.desktop
Comment 4 Parag AN(पराग) 2008-11-18 20:58:21 EST
(In reply to comment #3)
> (In reply to comment #2) 
> > Note: As no translations are provided by this package I have not used
> > guidelines for Handling locale files.
> 
> That's ok
> 
> I'm unable to rebuild your package. The issue is the name of the .desktop file. 
> 
> File not found:
> /home/fab/rpmbuild/BUILDROOT/rmanage-0.1.5-2.fc9.i386/usr/share/applications/fedora-rmanage.desktop

oops. Sorry I forgot to change %files section.

here is updated links for package.
Spec URL: http://paragn.fedorapeople.org/rmanage/rmanage.spec
SRPM URL: http://paragn.fedorapeople.org/rmanage/rmanage-0.1.5-2.fc9.src.rpm

Note:- I have kept same release number. If you want me to bump release please ask for that and will do that.
 
koji scratch build:-http://koji.fedoraproject.org/koji/taskinfo?taskID=938763
Comment 5 Fabian Affolter 2008-11-20 17:40:26 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary RPMs on at least one supported architecture.
     Tested on: F9/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop024 SRPMS]$ rpmlint rmanage-0.1.5-2.fc9.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPMs:
     [fab@laptop024 i386]$ rpmlint rmanage*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM upstream:   4b28f94766e942662b9cccf936efd984
     SHA1SUM of package: 4b28f94766e942662b9cccf936efd984
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F9/i386
 [x] Package should compile and build into binary RPMs on all supported architectures.
     Tested F10: http://koji.fedoraproject.org/koji/taskinfo?taskID=942180
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


If the license tag is fixed, I see no further blocker, package APPROVED
Comment 6 Parag AN(पराग) 2008-11-20 22:26:28 EST
Thanks for the review.

New Package CVS Request
=======================
Package Name: rmanage
Short Description: Remotely monitoring machines on network
Owners: paragn ashokdas
Branches: F-10 EL-5
InitialCC:
Comment 7 Huzaifa S. Sidhpurwala 2008-11-21 00:27:03 EST
cvs done
Comment 8 Fedora Update System 2008-11-21 03:20:41 EST
rmanage-0.1.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rmanage-0.1.5-2.fc10
Comment 9 Fedora Update System 2008-11-22 11:54:53 EST
rmanage-0.1.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.